"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.loadParameters = void 0;
const path = require("path");
const fs = require("fs");
const { readFile } = fs.promises;
const loadParameters = async (include, args, directory = process.cwd()) => {
    const parameters = {
        include,
        helper: args.helper,
        css: args.css,
        ext: args.ext,
        exclude: args.exclude,
        esifycssPluginParameter: {
            mangle: !args.noMangle,
        },
        watch: args.watch,
    };
    if (args.config) {
        const configPath = path.isAbsolute(args.config) ? args.config : path.join(directory, args.config);
        const configJSON = await readFile(configPath, 'utf8');
        Object.assign(parameters, JSON.parse(configJSON));
    }
    return parameters;
};
exports.loadParameters = loadParameters;
