"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.minifyScripts = void 0;
const fs = require("fs");
const createOptimizedIdentifier_1 = require("./createOptimizedIdentifier");
const parseScripts_1 = require("./parseScripts");
const minifyCSSInScript_1 = require("./minifyCSSInScript");
const setDictionary_1 = require("./setDictionary");
const writeFilep_1 = require("../util/writeFilep");
const { readFile } = fs.promises;
const minifyScripts = async (props) => {
    const parseResult = await parseScripts_1.parseScripts(props);
    const identifier = createOptimizedIdentifier_1.createOptimizedIdentifier(parseResult.tokens);
    await Promise.all([...parseResult.scripts].map(async ([file, { script, ranges }]) => {
        const minified = minifyCSSInScript_1.minifyCSSInScript(script, ranges, identifier);
        await writeFilep_1.writeFilep(file, minified);
    }));
    const helperCode = setDictionary_1.setDictionary(await readFile(props.dest, 'utf8'), identifier.idList);
    await writeFilep_1.writeFilep(props.dest, helperCode);
};
exports.minifyScripts = minifyScripts;
