"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.minifyScriptsForCSS = exports.minifyScriptForCSS = void 0;
const writeFilep_1 = require("../util/writeFilep");
const parseScripts_1 = require("./parseScripts");
const minifyScriptForCSS = async ([file, data]) => {
    const cssList = [];
    let code = data.script;
    for (let index = data.ranges.length; index--;) {
        cssList[index] = data.ranges[index].css;
    }
    code = data.statements
        .sort((range1, range2) => range1.start < range2.start ? 1 : -1)
        .reduce((statement, range) => `${statement.slice(0, range.start)}${statement.slice(range.end)}`, code);
    await writeFilep_1.writeFilep(file, code);
    return cssList.join('\n');
};
exports.minifyScriptForCSS = minifyScriptForCSS;
const minifyScriptsForCSS = async (props) => {
    const parseResult = await parseScripts_1.parseScripts(props);
    const cssList = await Promise.all([...parseResult.scripts].map(exports.minifyScriptForCSS));
    await writeFilep_1.writeFilep(props.dest, cssList.join('\n'));
};
exports.minifyScriptsForCSS = minifyScriptsForCSS;
