"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.minify = void 0;
const minify = (root) => {
    Object.assign(root.raws, { semicolon: false, after: '' });
    root.walk((node) => {
        switch (node.type) {
            case 'comment':
                node.remove();
                break;
            case 'atrule':
                if (node.name === 'charset') {
                    node.remove();
                }
                else {
                    Object.assign(node.raws, { before: '', between: '', afterName: ' ' });
                }
                break;
            case 'rule':
                node.selector = node.selector
                    .replace(/\s+/g, ' ')
                    .replace(/\s*([,>~+])\s*/g, '$1')
                    .trim();
                Object.assign(node.raws, { before: '', between: '', semicolon: false, after: '', ownSemicolon: '' });
                break;
            case 'decl': {
                Object.assign(node.raws, { before: '', between: ':', semicolon: true, after: '', ownSemicolon: '' });
                const value = node.raws.value;
                if (value) {
                    value.raw = value.value;
                }
                break;
            }
            default:
        }
    });
    return root;
};
exports.minify = minify;
