"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.extractPluginResult = void 0;
const plugin_1 = require("../postcssPlugin/plugin");
const extractPluginResult = (postcssResult) => {
    const pluginResult = {
        className: {},
        id: {},
        keyframes: {},
    };
    for (const warning of postcssResult.warnings()) {
        if (warning.plugin === plugin_1.PluginName) {
            const result = JSON.parse(warning.text);
            Object.assign(pluginResult.className, result.className);
            Object.assign(pluginResult.id, result.id);
            Object.assign(pluginResult.keyframes, result.keyframes);
        }
    }
    return pluginResult;
};
exports.extractPluginResult = extractPluginResult;
