"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getChokidarOptions = void 0;
const ensureArray_1 = require("../util/ensureArray");
const getChokidarOptions = (parameters) => {
    const options = {
        ...parameters.chokidar,
        ignoreInitial: false,
        alwaysStat: true,
    };
    const ignored = [
        ...ensureArray_1.ensureArray(parameters.chokidar && parameters.chokidar.ignored),
        ...ensureArray_1.ensureArray(parameters.exclude),
    ];
    if (0 < ignored.length) {
        options.ignored = ignored;
    }
    return options;
};
exports.getChokidarOptions = getChokidarOptions;
