declare class Element {
    readonly tagName: string;
    readonly children: Array<Element>;
    constructor(tagName: string);
    appendChild(element: Element): Element;
}
declare class CSSRule {
    cssText: string;
    constructor(cssText: string);
}
declare class StyleSheet {
    cssRules: Array<CSSRule>;
    constructor();
    insertRule(cssText: string, index?: number): void;
}
declare class StyleElement extends Element {
    sheet: StyleSheet;
    constructor();
}
export declare const isStyleElement: (element: Element) => element is StyleElement;
export declare const walkElements: (element: Element) => IterableIterator<Element>;
declare class Document {
    readonly head: Element;
    readonly body: Element;
    constructor();
    createElement(tagName: string): Element;
    walkElements(): IterableIterator<Element>;
    get stylesheets(): Array<StyleSheet>;
    get css(): string;
}
export interface ISandbox<TExports> {
    document: Document;
    exports: Partial<TExports>;
}
export declare const createSandbox: <TExports>() => ISandbox<TExports>;
export {};
