"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.deleteFile = void 0;
const path = require("path");
const fs = require("fs");
const { unlink, readdir, rmdir } = fs.promises;
const deleteFile = async (filePath) => {
    try {
        await unlink(filePath);
    }
    catch (error) {
        switch (error.code) {
            case 'ENOENT':
                return;
            case 'EISDIR':
            case 'EPERM': {
                const files = (await readdir(filePath)).map((name) => path.join(filePath, name));
                await Promise.all(files.map(async (file) => {
                    await exports.deleteFile(file);
                }));
                await rmdir(filePath);
                break;
            }
            default:
                throw error;
        }
    }
};
exports.deleteFile = deleteFile;
