"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.decodeString = exports.encodeString = void 0;
const tokenizeString_1 = require("./tokenizeString");
const vlq = require("vlq");
const encodeString = (string, identifier) => {
    const encoded = [];
    for (const token of tokenizeString_1.tokenizeString(string)) {
        encoded.push(identifier(token));
    }
    return vlq.encode(encoded);
};
exports.encodeString = encodeString;
const decodeString = (encoded, words) => vlq.decode(encoded).map((index) => words[index]).join('');
exports.decodeString = decodeString;
