"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getHash = void 0;
const crypto_1 = require("crypto");
const getHash = (data, { algorithm, encoding } = { algorithm: 'sha256', encoding: 'base64url' }) => {
    const hash = crypto_1.createHash(algorithm);
    hash.update(data);
    switch (encoding) {
        case 'base64url':
            return hash.digest('base64').split('+').join('-').split('/').join('_').replace(/[=]+$/, '');
        case 'buffer':
            return hash.digest();
        default:
            return hash.digest(encoding);
    }
};
exports.getHash = getHash;
